Resource Center/Resource Pool/VM Scheduling Rule Group Operations
PUTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required
UpdateVmSchedulingRuleGroup
UpdateVmSchedulingRuleGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatevmschedulingrulegroupObjectRequiredupdatevmschedulingrulegroup request body object.
nameStringOptional. The resource name.
descriptionStringOptional. Optional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vmSchedulingRuleGroup/{uuid}/update
/zstack/v1/vmSchedulingRuleGroup/{uuid}/update
Request Example
curl -X PUT 'http://{host}/zstack/v1/vmSchedulingRuleGroup/{uuid}/update' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatevmschedulingrulegroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "75840459a5f83afebc36e605a3189289", "name": "test", "description": "test desc", "appliance": "CUSTOMER", "zoneUuid": "261246b65f253787b06a29c6c266543c" } }Change History
This API has no change history records yet.
